Bug 1315691 - SELinux is preventing kdm from 'create' accesses on the file .dmrc.
SELinux is preventing kdm from 'create' accesses on the file .dmrc.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
high Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:fcc7fca55ac7b52315ab96604bb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 07:25 EST by Ken Fallon
Modified: 2016-03-12 04:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-12 04:56:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Fallon 2016-03-08 07:25:47 EST
Description of problem:
SELinux is preventing kdm from 'create' accesses on the file .dmrc.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that kdm should be allowed create access on the .dmrc file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep kdm /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:home_root_t:s0
Target Objects                .dmrc [ file ]
Source                        kdm
Source Path                   kdm
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-158.9.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.4.3-300.fc23.x86_64 #1 SMP Fri
                              Feb 26 18:45:40 UTC 2016 x86_64 x86_64
Alert Count                   2
First Seen                    2016-03-08 13:05:46 CET
Last Seen                     2016-03-08 13:05:46 CET
Local ID                      92d49a0d-1c2e-46d4-b1cb-5b8bb5dc8768

Raw Audit Messages
type=AVC msg=audit(1457438746.974:301): avc:  denied  { create } for  pid=1785 comm="kdm" name=".dmrc" scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:home_root_t:s0 tclass=file permissive=0


Hash: kdm,xdm_t,home_root_t,file,create

Version-Release number of selected component:
selinux-policy-3.13.1-158.9.fc23.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.4.3-300.fc23.x86_64
type:           libreport
Comment 1 Lukas Vrabec 2016-03-09 10:17:25 EST
Hi, 
Do you know where is file ".dmrc" stored? 

Could you try
# restorecon -v /path/to/.dmrc

Thank you.
Comment 2 Ken Fallon 2016-03-12 04:56:37 EST
restorecon -Rv /home

Worked. Thanks - closing

Note You need to log in before you can comment on or make changes to this bug.